import { readFileSync } from 'fs'
import { join } from 'path'

import test from 'ava'
import rehype from 'rehype'
import rehypeCodemirror from '.'

const processor = rehype().use(rehypeCodemirror)

test('plugin adds syntax highlighting elements to code blocks', t => {
  const html = readFileSync(join(__dirname, 'test.html'), 'utf8')
  t.snapshot(processor.processSync(html).toString())
})
